unit uDebug;

interface
{$IFDEF DEBUG}

uses
  SysUtils;

procedure Debug(const Msg: string); overload;
procedure Debug(const Msg: string; const Params: array of const); overload;

{$ENDIF}
implementation
{$IFDEF DEBUG}

const
  DEBUG_FILENAME = 'd:\tmp\debug.log';

procedure Debug(const Msg: string; const Params: array of const);
begin
  Debug(Format(Msg, Params));
end;

procedure Debug(const Msg: string);
var T: TextFile;
begin
  AssignFile(T, DEBUG_FILENAME);
  if FileExists(DEBUG_FILENAME) then
    Append(T)
  else
    Rewrite(T);
  Writeln(T, Msg);
  CloseFile(T);
end;

{$ENDIF}
end.
